Subject: bug#46552: 27.1; image-mode should not move current point

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 16 Feb 2021 18:09:17 +0100

Eli Zaretskii <[email-masked]> writes:

>> Ah!  Thanks; that fixes the problem.  I've now made `image-mode' set
>> `disable-point-adjustment' buffer-locally.
>
> Why? that's the wrong thing to do, I think.

I see you've fixed the exif point movement problem, but that's just one
particular instance of the general problem.

The user can move point into the image data, and then hit `C-c C-c',
which will then move point to the end of the image (making commands like
`+' no longer work).

So that doesn't seem like a complete fix.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no